%global major   1
%define libname %mklibname spiro %major
%define devname %mklibname spiro -d

Name:           libspiro
Version:        20240903
Release:        %mkrel 2
Summary:        Library to simplify the drawing of beautiful curves

Group:          System/Libraries
License:        GPLv2+
URL:            https://libspiro.sourceforge.net/
# Let's use libspiro-dist tarball from upstream as it does not require autoreconf
Source0:        https://github.com/fontforge/libspiro/releases/download/%{version}/libspiro-dist-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

%description
This library will take an array of spiro control points and
convert them into a series of bézier splines which can then
be used in the myriad of ways the world has come to use béziers.

%package        -n %libname
Summary:        Library to simplify the drawing of beautiful curves
Group:          System/Libraries

%description    -n %libname
This library will take an array of spiro control points and
convert them into a series of bézier splines which can then
be used in the myriad of ways the world has come to use béziers.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       spiro-devel = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n libspiro-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

%check
make check

%files -n %libname
%doc README* ChangeLog AUTHORS
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libspiro.pc
%{_mandir}/man3/libspiro.3.*



%changelog
* Mon Jun 30 2025 umeabot <umeabot> 20240903-2.mga10
+ Revision: 2230596
- Mageia 10 Mass Rebuild

* Sun Dec 01 2024 daviddavid <daviddavid> 20240903-1.mga10
+ Revision: 2120367
- new version: 20240903

* Mon Dec 19 2022 daviddavid <daviddavid> 20221101-1.mga9
+ Revision: 1925323
- new version: 20221101 (mga#31298)

* Wed Mar 16 2022 umeabot <umeabot> 20200505-2.mga9
+ Revision: 1794582
- Mageia 9 Mass Rebuild

* Mon May 11 2020 tv <tv> 20200505-1.mga8
+ Revision: 1582890
- 20200505

* Mon Feb 17 2020 umeabot <umeabot> 20190731-2.mga8
+ Revision: 1537247
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 28 2019 tv <tv> 20190731-1.mga8
+ Revision: 1456214
- major is now 1
- new release (needed for new gegl)

* Sun Sep 23 2018 umeabot <umeabot> 20150131-4.mga7
+ Revision: 1299165
- Mageia 7 Mass Rebuild

* Fri Feb 26 2016 umeabot <umeabot> 20150131-3.mga6
+ Revision: 979731
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 daviddavid <daviddavid> 20150131-2.mga6
+ Revision: 905318
- fix requires
- provides spiro-devel

* Thu Nov 19 2015 tv <tv> 20150131-1.mga6
+ Revision: 904135
- imported package libspiro


* Thu Nov 19 2015 Thierry Vignaud <tv@mageia.org> 20150131-1.mga6
-  import from FC
